Package: org.codehaus.groovy.util

## [Java] Class Segment

- org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Object[]` | `table` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractConcurrentMapBase.Segment (int initialCapacity)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LockableObject` | `isHeldExclusively, lock, tryAcquire, tryRelease, unlock`

    `class AbstractQueuedSynchronizer`

    `toString, release, hasQueuedThreads, isQueued, getQueueLength, getQueuedThreads, hasWaiters, getWaitQueueLength, getWaitingThreads, acquire, acquireInterruptibly, tryAcquireNanos, getFirstQueuedThread, owns, acquireShared, acquireSharedInterruptibly, tryAcquireSharedNanos, releaseShared, hasContended, hasQueuedPredecessors, getExclusiveQueuedThreads, getSharedQueuedThreads, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected Object[] table

  - ### Constructor Detail

    - #### protected AbstractConcurrentMapBase.Segment(int initialCapacity)